local vector2 = require("#microsoft.xna.framework.vector2")
function onBegin()

    disablePause()
    makeUnskippable()
    disableRetry()


    if getFlag("endheart1") ~= true then
    wait(2)
    setFlag("endheart1", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.3)
    setFlag("endheart2", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.6)
    setFlag("endheart3", true)
    setFlag("endheart4", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.4)
    setFlag("endheart5", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.3)
    setFlag("endheart6", true)
    setFlag("endheart7", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.6)
    setFlag("endheart8", true)
    setFlag("endheart9", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.1)
    setFlag("endheart10", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.3)
    setFlag("endheart11", true)
    setFlag("endheart12", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.5)
    setFlag("endheart13", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.1)
    setFlag("endheart14", true)
    setFlag("endheart15", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.3)
    setFlag("endheart16", true)
    setFlag("endheart17", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.6)
    setFlag("endheart18", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    wait(0.2)
    setFlag("endheart19", true)
    playSound("event:/LetsWatchTheStarsTogether/cloudBreak")
    end
    
    enableRetry()
    enablePause()
    endCutscene()

end

